%define major 4
%define devname %mklibname -d iscsi %major
Name: libiscsi
Summary: iSCSI client library
Version: 1.15.0
Release: %mkrel 3
License: LGPLv2+
Group: System/Libraries
URL: https://github.com/sahlberg/%{name}

Source: https://github.com/sahlberg/%{name}/archive/%{version}.tar.gz
Patch13: 0013-disable-ld_iscsi.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: popt-devel
BuildRequires: cunit-devel
BuildRequires: libgcrypt-devel

%description
libiscsi is a library for attaching to iSCSI resources across
a network.


#######################################################################

# Conflict with iscsi-initiator-utils.

%global libiscsi_includedir %{_includedir}/iscsi
%global libiscsi_libdir %{_libdir}/iscsi

%prep
%setup -q
%patch13 -p1

%build
sh autogen.sh
%configure2_5x --libdir=%{libiscsi_libdir}
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install pkgconfigdir=%{_libdir}/pkgconfig %{?_smp_mflags}
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
echo %{libiscsi_libdir} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{name}-%{_arch}.conf
rm $RPM_BUILD_ROOT/%{libiscsi_libdir}/libiscsi.a
rm $RPM_BUILD_ROOT/%{libiscsi_libdir}/libiscsi.la

# Remove "*.old" files
find $RPM_BUILD_ROOT -name "*.old" -exec rm -f {} \;


%files
%defattr(-,root,root)
%doc COPYING LICENCE-LGPL-2.1.txt README TODO
%{libiscsi_libdir}/libiscsi.so.*
%config /etc/ld.so.conf.d/*

%package utils
Summary: iSCSI Client Utilities
Group: System/Base
License: GPLv2+
Requires: %{name}%{?_isa}  = %{version}-%{release}

%description utils
The libiscsi-utils package provides a set of assorted utilities to connect
to iSCSI servers without having to set up the Linux iSCSI initiator.

%files utils
%doc COPYING LICENCE-GPL-2.txt LICENCE-LGPL-2.1.txt README TODO
%{_bindir}/iscsi-ls
%{_bindir}/iscsi-inq
%{_bindir}/iscsi-readcapacity16
%{_bindir}/iscsi-swp
%{_bindir}/iscsi-perf
%{_bindir}/iscsi-test-cu
%{_mandir}/man1/iscsi-ls.1.*
%{_mandir}/man1/iscsi-inq.1.*
%{_mandir}/man1/iscsi-swp.1.*
%{_mandir}/man1/iscsi-test-cu.1.*

%package -n %devname
Summary: iSCSI client development libraries
Group: Development/C
Requires: %{name}%{?_isa}  = %{version}-%{release}
Provides: libiscsi-devel   = %{version}-%{release}

%description -n %devname
The libiscsi-devel package includes the header files for libiscsi.

%files -n %devname
%defattr(-,root,root)
%doc COPYING LICENCE-LGPL-2.1.txt README TODO
%{libiscsi_includedir}/iscsi.h
%{libiscsi_includedir}/scsi-lowlevel.h
%{libiscsi_libdir}/libiscsi.so
%{_libdir}/pkgconfig/libiscsi.pc



%changelog
* Tue Apr 26 2016 tv <tv> 1.15.0-3.mga6
+ Revision: 1006579
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- provides libiscsi-devel
- imported package libiscsi

